/**
 * $Id: Servlet.java,v 1.7 2001/12/12 12:46:30 jerome Exp $
 *
 * Transmorpher
 *
 * Copyright (C) 2001 Fluxmedia and INRIA Rhne-Alpes.
 *
 * http://www.fluxmedia.fr - http://transmorpher.inrialpes.fr
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/**
  * Transmorpher graph servlet definitions
  *
  * @author Jerome.Euzenat@inrialpes.fr
  * @since jdk 1.3 / SAX 2.0
  */

package fr.fluxmedia.transmorpher.Graph ;

import java.util.Hashtable;
import java.util.Enumeration;
import java.util.ListIterator;

import fr.fluxmedia.transmorpher.Files.ReadWrite;

public class Servlet extends Process {

  public Servlet(String name, Transmorpher t){
    super(name, t, 0, 0);
  }
  
  public void retroNull() {
  }

  /** Prints the XML expression of the servlet */
  public void generateXML(){
    System.out.println("  <servlet name=\""+name+"\">");
    parameters.generateXMLDeclarations();
    for( ListIterator l = calls.listIterator(); l.hasNext() ; ){
      ((Call)l.next()).generateXML();
    }
    System.out.println("  </servlet>");
    System.out.println();
  }

    /** Prints the Java code for the execution of the call
      seems to be deprecated but a generateHeader should be not bad. */
  public void generateJavaCode(ReadWrite file){
  } //end proc

} //end class
