
/**
   The TChannel is the link between one output and one input
*/
package fr.fluxmedia.transmorpher.TProcessFactory;


public class TChannel {
    
    
  /* the right point of the channel */
  protected Object in = null;
    
  /* the left point of the channel */
  protected Object out = null;
    
  /* the type of the channel */
  protected int type;

  /* the name of the channel*/
  protected String name;

  public TChannel(String name,Object out,Object in){
    this.name=name;
    this.in=in;
    this.out=out;
    try {
      XML_Port.link((XML_Port)((TProcess)out).getOut(name),(XML_Port)((TProcess)in).getIn(name));
    } catch (Exception e) {
      System.out.println("[TChannel] erreur linkage des ports" + e );
    }
  }
    
  public void setType(int type){
    this.type=type;
  }

  public void setOut(Object out){
    this.out=out;
  }
    
  public void setIn(Object out){
    this.in=in;
  }
    
  public void setName(String name){
    this.name=name;
  }

  public String getName(){
    return this.name;
  }

  public Object getIn(){
    return in;
  }
    
  public Object getOut(){
    return out;
  }

  public int getType(){
    return type;
  }

}
