/**
 * $Id: RegularExpression.java,v 1.2 2001/06/12 15:50:30 gchomat Exp $
 *
 * Transmorpher
 * 
 * Copyright (C) 2001 Fluxmedia and INRIA Rhne-Alpes.
 *
 * http://www.fluxmedia.fr - http://transmorpher.inrialpes.fr
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/**
* @authors : Chomat Guillaume
* @date : 30 05 2001
* @content : attempt about regular expression in java
*/

package fr.fluxmedia.transmorpher.regexp ;

import java.util.*;
import gnu.regexp.RE;
import gnu.regexp.REException;


public class RegularExpression {


/*public RegularExpression(){

    }
*/
    public static String substitute(String text,String source , String target) throws REException{
	RE regularExpression = new RE(source);
	return regularExpression.substitute(text,target);
    }


    public static String substituteAll(String text,String source , String target) throws REException{
	RE regularExpression = new RE(source);
	return regularExpression.substituteAll(text,target);
    }

    public static void main(String[] args) throws REException{
	
	RE regularExpression = new RE("\\d");
	
	String text = "toto a 5 francs et 2 pains mais 0 bonbons"; 
	String result = regularExpression.substitute(text,"4");
	System.out.println(result);
    }

}
